<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>add_list()
: <a class="el" href="array__list_8c.html#aa96f1595f2bc5574c025ec5f5094146b">array_list.c</a>
, <a class="el" href="array__list_8h.html#aa96f1595f2bc5574c025ec5f5094146b">array_list.h</a>
</li>
<li>ARRAY_LIST_MAX_SIZE
: <a class="el" href="array__list_8h.html#a6e5ef30461afe01460596da09c1c88e6">array_list.h</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>clear()
: <a class="el" href="stack_8h.html#a1713843976589f81f2d46bb02f92bb9d">stack.h</a>
</li>
<li>clear_array()
: <a class="el" href="array__list_8c.html#a62d945c6edb93bac33f9e8ee5eb7e057">array_list.c</a>
, <a class="el" href="array__list_8h.html#a62d945c6edb93bac33f9e8ee5eb7e057">array_list.h</a>
</li>
<li>clear_stack()
: <a class="el" href="stack_8c.html#a5aed2642dee126261be5f402645e87c8">stack.c</a>
</li>
<li>clear_up()
: <a class="el" href="main_8c.html#a25c01e567b257f2b8cf3c6aa10f222e7">main.c</a>
</li>
<li>clearqueue()
: <a class="el" href="queue_8c.html#abec0a1bc3bed054d109a02d96d0274a1">queue.c</a>
, <a class="el" href="queue_8h.html#abec0a1bc3bed054d109a02d96d0274a1">queue.h</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>dequeue()
: <a class="el" href="queue_8c.html#a963c35fdb8a91292169e3c65dfa6b56b">queue.c</a>
, <a class="el" href="queue_8h.html#a963c35fdb8a91292169e3c65dfa6b56b">queue.h</a>
</li>
<li>dup()
: <a class="el" href="stack_8c.html#a5df3fde62e5dca9a0e26ad20fe3261f3">stack.c</a>
, <a class="el" href="stack_8h.html#a5df3fde62e5dca9a0e26ad20fe3261f3">stack.h</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>enqueue()
: <a class="el" href="queue_8c.html#aee4cdc64e4fb038915201bb5f481dcc0">queue.c</a>
, <a class="el" href="queue_8h.html#aee4cdc64e4fb038915201bb5f481dcc0">queue.h</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>front()
: <a class="el" href="queue_8c.html#a0285b50c50dd0dcc29b712684d2569c7">queue.c</a>
, <a class="el" href="queue_8h.html#a0285b50c50dd0dcc29b712684d2569c7">queue.h</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>get_at()
: <a class="el" href="array__list_8c.html#a9983c477beb4bf5e1edd69acaf650dd6">array_list.c</a>
, <a class="el" href="array__list_8h.html#a9983c477beb4bf5e1edd69acaf650dd6">array_list.h</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>HEAP_MAX_SIZE
: <a class="el" href="heap_8h.html#a7085c62c43230e23f6fa23eed518061e">heap.h</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>init()
: <a class="el" href="main_8c.html#ac92a673771db92e7156490091aef7135">main.c</a>
</li>
<li>init_array_list()
: <a class="el" href="array__list_8c.html#a6ec00aaed68440b991b26dd13fec510c">array_list.c</a>
, <a class="el" href="array__list_8h.html#a6ec00aaed68440b991b26dd13fec510c">array_list.h</a>
</li>
<li>init_heap()
: <a class="el" href="heap_8h.html#ab43d0eafaa5ff8ac2dba0657750fdf4c">heap.h</a>
</li>
<li>init_queue()
: <a class="el" href="queue_8c.html#a25919c655a65e609b77096197881ec15">queue.c</a>
, <a class="el" href="queue_8h.html#a61df61ae1278dd46641315444ab00356">queue.h</a>
</li>
<li>init_stack()
: <a class="el" href="stack_8c.html#ae9d651d70562e77fa39681ccc4993bbf">stack.c</a>
, <a class="el" href="stack_8h.html#ae9d651d70562e77fa39681ccc4993bbf">stack.h</a>
</li>
<li>insert_at()
: <a class="el" href="array__list_8c.html#ade6797971e903ae5baf44e7bde807bbd">array_list.c</a>
, <a class="el" href="array__list_8h.html#ade6797971e903ae5baf44e7bde807bbd">array_list.h</a>
</li>
<li>is_heap_empty()
: <a class="el" href="heap_8h.html#a85f425d55995d4bfe7d42a8317fcbedc">heap.h</a>
</li>
<li>is_queue_empty()
: <a class="el" href="queue_8c.html#a813806bdcfc85411e001285c7607f3ef">queue.c</a>
, <a class="el" href="queue_8h.html#a813806bdcfc85411e001285c7607f3ef">queue.h</a>
</li>
<li>is_stack_empty()
: <a class="el" href="stack_8c.html#a18db937ce50647114171ae4b28676188">stack.c</a>
, <a class="el" href="stack_8h.html#a18db937ce50647114171ae4b28676188">stack.h</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>main()
: <a class="el" href="main_8c.html#a3c04138a5bfe5d72780bb7e82a18e627">main.c</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>peek()
: <a class="el" href="heap_8h.html#af684013e1c65b2beb9c21efef6baf505">heap.h</a>
</li>
<li>peek_stack()
: <a class="el" href="stack_8c.html#ae7cb25b94bcf7fd9acb9fbb0d029a27c">stack.c</a>
, <a class="el" href="stack_8h.html#ae7cb25b94bcf7fd9acb9fbb0d029a27c">stack.h</a>
</li>
<li>pop()
: <a class="el" href="heap_8h.html#a962611a81a4cd5a8b824c1a271f75a3e">heap.h</a>
</li>
<li>pop_stack()
: <a class="el" href="stack_8c.html#ae061732709da8b2f34f5c0fd4ef0ad5d">stack.c</a>
, <a class="el" href="stack_8h.html#ae061732709da8b2f34f5c0fd4ef0ad5d">stack.h</a>
</li>
<li>push()
: <a class="el" href="heap_8h.html#a7394afbcf1f644c42ed4f381344e0c89">heap.h</a>
</li>
<li>push_stack()
: <a class="el" href="stack_8c.html#a43347ab7de63ecfb72ee0472db11f27f">stack.c</a>
, <a class="el" href="stack_8h.html#a43347ab7de63ecfb72ee0472db11f27f">stack.h</a>
</li>
</ul>


<h3><a id="index_q"></a>- q -</h3><ul>
<li>QUEUE_MAX_SIZE
: <a class="el" href="queue_8h.html#a4b56a6f23e044affca38eed1834e98dc">queue.h</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>remove_at()
: <a class="el" href="array__list_8c.html#a3916b04721e25076e491304d7ea7e3ce">array_list.c</a>
, <a class="el" href="array__list_8h.html#a3916b04721e25076e491304d7ea7e3ce">array_list.h</a>
</li>
<li>replace()
: <a class="el" href="heap_8h.html#a54c0ba5c00a105a220a161ec717208a7">heap.h</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>STACK_MAX_SIZE
: <a class="el" href="stack_8h.html#a453f07a53194584fd2e0bb720c814c25">stack.h</a>
</li>
<li>swap()
: <a class="el" href="stack_8c.html#aa27246b3c1dec5924712f4bc1f325621">stack.c</a>
, <a class="el" href="stack_8h.html#aa27246b3c1dec5924712f4bc1f325621">stack.h</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>test_arraylist()
: <a class="el" href="main_8c.html#ae40e57b1699b64ee3114c3ccb5533eb0">main.c</a>
</li>
<li>test_queue()
: <a class="el" href="main_8c.html#a409d820ae1bf7e9bac41a9258ef79165">main.c</a>
</li>
<li>test_stack()
: <a class="el" href="main_8c.html#aa1721c8a37fd010d94cc27ab7887c250">main.c</a>
</li>
<li>test_stack1()
: <a class="el" href="main_8c.html#a43c638cfe06058bc1d2d294e88a1bf3f">main.c</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
